#
# spec file for package imlib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           imlib
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  giflib-devel
BuildRequires:  gtk-devel
BuildRequires:  jpeg
BuildRequires:  libjpeg-devel
BuildRequires:  libnetpbm
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  xorg-x11-devel
# bug437293
%ifarch ppc64
Obsoletes:      imlib-64bit
%endif
# /bug437293
Version:        1.9.14
Release:        1.1
Summary:        A Shared Library for Loading and Rendering 3D Images
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.labs.redhat.com/imlib/
Source:         ftp://ftp.gnome.org/pub/gnome/sources/imlib/1.9/imlib-%{version}.tar.bz2
Source2:        baselibs.conf
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         imlib-%{version}.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch2:         imlib-1.9.8.1-image_from_drawable.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch3:         imlib-config.dif
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch5:         pnm-detect.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch6:         imlib-1.9.10-autoconf.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch7:         %{name}-tiff_output.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch8:         imlib-1.9.10-load.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch9:         imlib-ac.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch10:        imlib-1.9.14-bmpoverflow.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch11:        imlib-1.9.14-alt-bound.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch12:        imlib-more-xpm-fixes.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch13:        imlib-codecleanup.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch14:        imlib-1.9.14-no_acconfig_h.diff
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch15:        imlib-link.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch16:        imlib-CVE-2007-3568.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch17:        imlib-no_shared_pixmaps.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch18:        imlib-libtool.diff
# PATCH-FIX-UPSTREAM imlib-1.9.14-libpng15.diff
Patch19:        imlib-1.9.14-libpng15.diff
# PATCH-FIX-UPSTREAM imlib-1.9.14-gif.patch
Patch20:        imlib-1.9.14-gif.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a general, all-purpose image loading and rendering (image data
to screen data) library. Imlib is currently capable of loading 25
different image formats.

See the file /usr/include/X11/imlib.h or directory
/usr/share/doc/packages/imlib for more details.

This shared library is needed for the Enlightenment window manager and
for GNOME.

%package      devel
Summary:        Imlib Development Environment
Group:          Development/Libraries/C and C++
Obsoletes:      imlibdev
Provides:       imlibdev
# bug437293
%ifarch ppc64
Obsoletes:      imlib-devel-64bit
%endif
# /bug437293
Requires:       %{name} = %{version}
Requires:       gtk-devel
Requires:       libjpeg-devel
Requires:       libpng-devel
Requires:       libtiff-devel

%description devel
This package is required for developing programs linked against Imlib
or for compiling GNOME packages.

%package      config
Summary:        Configuration Tool for imlib
Group:          System/Libraries
Requires:       %{name} = %{version}
Provides:       imlibcfe
Obsoletes:      imlibcfe

%description config
A graphical front-end for configuring 'imlib' (imlib-config).

%prep
%setup -q
%patch0 -p1
%patch2
%patch3
%patch5
%patch6 -p1 -b .autoconf
%patch7 -b .tiff_convert
%patch8 -p1 -b .load
%patch9
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19 -p1
%patch20 -p1

%build
rm -f acinclude.m4 acconfig.h
autoreconf -fiv
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
chmod +x %{buildroot}%{_libdir}/lib*.so.*
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS
%{_libdir}/lib*.so.*
%{_libdir}/libimlib-*.so
%config %{_sysconfdir}/*

%files config
%defattr(-,root,root)
%{_bindir}/imlib_config

%files devel
%defattr(-, root, root)
%doc doc/*.html doc/*.gif
%{_bindir}/imlib-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/libImlib.so
%{_libdir}/libgdk_imlib.so
%{_libdir}/pkgconfig/*
%doc %{_mandir}/man?/*.*

%changelog
* Tue Apr 23 2013 joop.boonen@opensuse.org
- Add imlib-1.9.14-gif.patch: Fix build with giflib 5
* Sat Jan 19 2013 joop.boonen@opensuse.org
- Add imlib-1.9.14-libpng15.diff: Fix build with libpng > 1.4.
- Cleaned the spec file up.
* Wed Jul 18 2012 sbrabec@suse.cz
- Update BuildRequires.
* Sat Feb 13 2010 coolo@novell.com
- do not require libjpeg
* Sun Jan 31 2010 jengelh@medozas.de
- package baselibs.conf
* Tue Jan 13 2009 crrodriguez@suse.de
- remove static libraries and "la" files
- fix broken -devel package dependencies
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Dec  4 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Nov  7 2007 pth@suse.de
- Fix incorrect rendering when the MIT-SHM extension doesn't
  support shared pixmaps (bugzilla 339315).
* Mon Jul 23 2007 aj@suse.de
- Cleanup build requires.
* Wed Jul 11 2007 pth@suse.de
- Check for BPP=0 which fixes security bug CVE-2007-3568.
  Rewrote the if() clause as switch() for clarity.(#291037)
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Mar 22 2006 pth@suse.de
- Fix BuildRequires.
* Mon Jan 30 2006 pth@suse.de
- Add libjpeg and libjpeg-devel to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 17 2005 sbrabec@suse.cz
- Link libraries with gdk to make it prelinkable (#50796).
* Wed Jan  5 2005 pth@suse.de
- Add libstdc++ to neededforbuild
- get rid of type punning to enable strict aliasing
- clean up configure.in
* Mon Nov 15 2004 meissner@suse.de
- Even more additional XPM security fixes. #48601
* Fri Aug 27 2004 meissner@suse.de
- Added additional overflow checks to BMP loader.
* Wed Aug 25 2004 meissner@suse.de
- fixed buffer overflow in BMP loader. CAN-2004-0817,#44228
* Wed Apr 28 2004 ro@suse.de
- added -fno-strict-aliasing
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Tue Jan 13 2004 schwab@suse.de
- Fix quoting in autoconf macros.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated to version 1.9.14.
* Wed Jul 16 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed May 14 2003 pthomas@suse.de
- Move pkgconfig files to devel package.
* Wed May 14 2003 mmj@suse.de
- Package forgotten files
* Tue Mar 11 2003 coolo@suse.de
- fixing BMP loading on some non ia32 platforms (#23559)
* Mon Mar  3 2003 pthomas@suse.de
- Make imlib use deflate for compressing tiff files instead of
  LZW. Fixes #15173.
- Correct lseek call in loader_tiff.
* Fri Aug  9 2002 pthomas@suse.de
- Add 'requires imlib' to -devel package.
* Tue May 28 2002 meissner@suse.de
- fixed autoconf breakage.
* Mon May 27 2002 ro@suse.de
- removed libfbm from neededforbuild again (is a deleted package)
* Tue May 14 2002 pthomas@suse.de
- Fix brown paperback bug: add explicit dependency on libgdk_imlib
  for dynamic modules of said lib.
- Add patch to support DESTDIR in ltmain.sh.
- Compilation now requires libjpeg, libpng, libgif etc.
* Wed Mar 27 2002 pthomas@suse.de
- Security fix:
  - Check that mallocs won't wrap around.
  - Remove support for external helpers.
- Fix detection of pnm files.
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 pmladek@suse.cz
- used macros %%{_lib} and %%{_libdir} to fix for lib64
* Thu Jan 10 2002 schwab@suse.de
- Don't add /usr/include or /usr/local/include to include path.
* Fri Oct  5 2001 pmladek@suse.cz
- fixed using of image depth in function
  Imlib_create_image_from_drawable, drawable
  can have another depth then ImlibData
* Sun Sep 30 2001 ro@suse.de
- removed librle from neededforbuild (deleted package)
* Thu Sep 20 2001 dan@suse.cz
- complete the previous fix (#10275)
* Wed Sep 19 2001 egger@suse.de
- diff: Integrated 2 simple and obvious fixes (from 1.9.11) to
  allow imlib the correct handling of greyscale PNG images.
  Fixes bug #10275.
* Mon Jul  9 2001 egger@suse.de
- Updated to version 1.9.10.
* Sat May 12 2001 schwab@suse.de
- Fix typo.
* Thu Mar  1 2001 egger@suse.de
- Updated to version 1.9.9.
- Even more tidying.
* Mon Jan 29 2001 pthomas@suse.de
- cleaned up spec file (got rid of all that -n stuff)
- renamed imlibcfe to imlib-config
* Sat Jan 27 2001 violiet@suse.de
- added imlib_config i18n patch
* Mon Nov 27 2000 uli@suse.de
- fixed neededforbuild
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct  1 2000 egger@suse.de
- Removed ImageMagick dependency...
* Fri May 26 2000 ke@suse.de
- update to version 1.9.8.1.
- ./configure -> %%build.
- add group tag.
- use DESTDIR.
* Fri Apr  7 2000 bk@suse.de
- added suse update config macro
* Mon Feb 28 2000 kukuk@suse.de
- update: version 1.9.8.
* Tue Oct 12 1999 ke@suse.de
- update: version 1.9.7.
* Mon Sep 27 1999 bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 29 1999 ke@suse.de
- #neededforbuild libungif (instead of libgif).
* Mon Apr 12 1999 ke@suse.de
- update: version 1.9.5.
- filelist changes.
* Mon Mar  1 1999 ke@suse.de
- update: version 1.9.4.
- filelist addition.
* Sun Feb 14 1999 ke@suse.de
- update: version 1.9.3.
* Thu Jan 21 1999 ke@suse.de
- update: version 1.9.2.
* Thu Jan 14 1999 ke@suse.de
- we want to use libpng 1.0.2.  Should work on i386.
* Wed Jan 13 1999 ke@suse.de
- update: version 1.9.0.
* Sat Jan  9 1999 ke@suse.de
- update: version 1.8.2.
* Mon Nov  2 1998 ke@suse.de
- add -L/usr/X11R6/lib to the %%prep stage; remove it from %%build.
* Mon Oct 26 1998 ke@suse.de
- update: version 1.8.1.
- build subpackages `imlib', `imlibdev', and `cfgeditor'.
* Wed Jul  8 1998 maddin@suse.de
- new version 1.6
- prepared for Gnome
* Fri Nov 21 1997 bs@suse.de
- don't call ldconfig in spec file
* Tue Nov  4 1997 kgw@suse.de
  first SuSE version, ready for autobuild.
